QGIS Application - Bug report #431
PostgreSQL Query Builder can't handle quoted schemas
2006-12-07 07:40 AM - hartmut-tschauner-gmail-com -

Status: Closed

Priority: Low

Assignee: Gavin Macaulay -

Category: Build/Install

Affected QGIS version: Regression?: No
Operating System: Windows Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 10490
Description

It was me who asked for [[PostgreSQL]] quoted schemas. | got [[PostgreSQL]] quoted schemas
the next day. Unfortunately, they seem to have had an unintended side effect.

Apparently, the [[PostgreSQL]] Query Builder cannot handle the quotes. It

fails to populate the field list (for any table, not just the ones

with blanks or special characters in their names) and therefore doesn't work anymore.

History

#1 - 2006-12-07 12:57 PM - Gavin Macaulay -
- Resolution set to fixed
- Status changed from Open to Closed

Fixed in svn . Hopefully there are no other places that I've forgotten.

#2 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted
